Skip to main content
POST
Request accounts statement via email
Send accounts statements via email to a specified contact. The statement will include transactions for the specified period and currencies.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

Body

application/json

Statement request parameters

date_from
string<date>
required

Start date for the statement (YYYY-MM-DD)

Example:

"2020-01-01"

date_to
string<date>
required

End date for the statement (YYYY-MM-DD)

Example:

"2020-01-31"

format
enum<string>
default:pdf

The format of the statement

Available options:
pdf,
csv
currencies
string

Comma-separated list of currency codes (ISO 4217)

Pattern: ^([A-Z]{3},?)+$
Example:

"EUR,GBP,USD"

send_via
enum<string>

How the generated statement should be delivered

Available options:
push,
email,
both

Response

Request accepted, you will receive an email with the statement

The response is of type string.

Example:

"Request accepted, you will receive an email with the statement."